Harmony
  1. Harmony
  2. HARMONY-585

[jchevm] minimal 1.5 class file support

    Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: VM
    • Labels:
      None

      Description

      I thought I'd try jchevm after building classlib with hy.javac.target set to 1.5. The following minor patch is enough to let jchvem use the resulting class files. Obviously this is the minimum we could get away with and it would need work to keep up with classlib's use of new features.

        Activity

        Hide
        Archie Cobbs added a comment -

        Slightly modified version of patch applied in r414874.

        Show
        Archie Cobbs added a comment - Slightly modified version of patch applied in r414874.
        Hide
        Alexei Fedotov added a comment -

        Mark,
        If the patch is applied, may be you may close the issue?

        Show
        Alexei Fedotov added a comment - Mark, If the patch is applied, may be you may close the issue?

          People

          • Assignee:
            Unassigned
            Reporter:
            Mark Hindess
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development